Serial console - related code needs to be adjusted from inittab to systemctl
Closed, ResolvedPublic

Description

Tried to make my current production config work with vyos 2.0 code.
The only remaining thing is serial console. Looks like existing code doesn't work with systemd.
Screen:

Looks like there are several different ways to fix it:

  1. Remove inittab-related code at all
  2. Add some euristics (e.g. -f /etc/inittab ....)
  3. Add the code, looking on vyos version and making decision on what to patch, depending on it.

I think, I can fix this problem myself, but I need advice in this decision and someone to test the result.

Details

Difficulty level
Normal (likely a few hours)
mickvav created this task.Apr 28 2016, 10:49 AM

For the jessie branch, we are likely staying with systemd, so systemd-related code will have to be added anyway.
Whether to remove the inittab-related code or not, not sure. I don't think we should implement both right away, but if we leave some room for extending it to support other init systems, it should be fine I think.

If you make a patch for it, it will be appreciated.

About systemd there is another point - if you look into systemd default setup (/lib/systemd/system/serial-getty@.service), you can find that it's default setup is rather clever - it takes advantage from agetty's ability to automatically select console baud rate. But current vyos configuration scheme insists on some fixed baud rate. So, we also have options:

  1. (simple) Remove speed option or ignore it. + allows usage of upstream systemd configuration
  2. Alter systemd configuration to use fixed speed from config.
  3. Modify speed to accept list of possible speeds, e.g.
speed "9600[,38400...]"
syncer lowered the priority of this task from High to Normal.May 13 2016, 12:10 PM
syncer assigned this task to mickvav.
syncer added subscribers: VyOS 1.2.x, VyOS 2.0.x.
UnicronNL added a subscriber: UnicronNL.EditedApr 23 2017, 4:59 PM

for now it is set to fixed speed.
please close if agreed on this.
https://github.com/vyos/vyatta-cfg-system/commit/d582bbaf3ad95566de9b90d1572d60e39936a1a7

ps inittab does not exist...

mickvav closed this task as Resolved.Jun 28 2017, 8:16 AM

Seems to be OK.